Bug 1265802 - hidpi/wayland: gnome-shell ignores org.gnome.desktop.interface text-scaling-factor setting
hidpi/wayland: gnome-shell ignores org.gnome.desktop.interface text-scaling-f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 15:28 EDT by Fabio Valentini
Modified: 2016-11-11 03:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-11 03:44:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Valentini 2015-09-23 15:28:42 EDT
Description of problem:
gnome-shell on wayland completely ignores org.gnome.desktop.interface/text-scaling-factor setting. on X, UI and fonts are scaled correctly according to setting value.

Version-Release number of selected component (if applicable):
gnome-shell-3.17.92-1.fc23.x86_64
mutter-3.17.92-1.fc23.x86_64

How reproducible:
gsettings set org.gnome.desktop.interface text-scaling-factor 0.8
X session: gnome-shell scales to 0.8
wayland session: only "normal" windows are scaled, gnome-shell ignores setting.


hardware:
intel i7-4500U, HD graphics (Haswell)
3200x1800 eDP screen
Comment 1 Fabio Valentini 2015-11-11 07:05:53 EST
This has been fixed upstream (https://git.gnome.org/browse/gnome-shell/commit/?h=gnome-3-18&id=2f82f783f233187ce1792f9a0c2ef69020ebd03e).

Is there any chance that a patch is included in fedora or will the next stable version (3.18.2?) be included when released?
Comment 2 Florian Müllner 2015-11-12 07:50:31 EST
(In reply to Fabio Valentini from comment #1)
> Is there any chance that a patch is included in fedora or will the next
> stable version (3.18.2?) be included when released?

The latter.
Comment 3 Michele 2016-04-22 16:46:46 EDT
I obtain a very similar effect on fedora 24 alpha (Gnome 3.20). When I log into a session after a fresh boot, if I hover the mouse over the top bar or other sections of gnome-shell it becomes half its size.
Still in fedora 24 alpha, after a fresh install the interface and the dpi looked all messed up and I had a message related to a crash of gsettings. Apparently the latest updates fixed the crash, but I still have the small mouse issue described on Wayland.
How can I help?

I also have Intel HD graphics on Haswell architecture, Surface Pro 3.
Comment 4 Fabio Valentini 2016-11-11 03:44:23 EST
This has been fixed upstream and a release containing the fix is already available in fedora 23.

Note You need to log in before you can comment on or make changes to this bug.